var schema = {
    "$count" : 10000,
    "_id" : {
        "$data" : {

        },
        "$count" : 10000,
        "$type" : "objectid",
        "$prob" : 1
    },
    "user" : {
        "$count" : 10000,
        "$prob" : 1
    },
    "user.name" : {
        "$count" : 10000,
        "$prob" : 1
    },
    "user.name.last" : {
        "$data" : {
            "Williams" : 223,
            "Brown" : 223,
            "Taylor" : 179,
            "White" : 196,
            "Mitchell" : 188,
            "Watson" : 203,
            "Morris" : 193,
            "James" : 187,
            "Hill" : 176,
            "Wilson" : 229,
            "Phillips" : 202,
            "Patel" : 194,
            "Davis" : 200,
            "Harris" : 225,
            "Jackson" : 211,
            "Roberts" : 177,
            "Harrison" : 188,
            "Baker" : 203,
            "Thomas" : 181,
            "Morgan" : 195,
            "Lewis" : 220,
            "Hall" : 206,
            "Smith" : 205,
            "Lee" : 203,
            "Johnson" : 201,
            "King" : 196,
            "Clarke" : 197,
            "Robinson" : 185,
            "Cooper" : 186,
            "Wright" : 211,
            "Davies" : 198,
            "Bell" : 209,
            "Clark" : 219,
            "Martin" : 195,
            "Moore" : 201,
            "Wood" : 219,
            "Walker" : 201,
            "Green" : 201,
            "Thompson" : 181,
            "Young" : 215,
            "Jones" : 167,
            "Hughes" : 215,
            "Allen" : 193,
            "Ward" : 201,
            "Edwards" : 209,
            "Turner" : 188,
            "Parker" : 218,
            "Anderson" : 208,
            "Scott" : 180,
            "Evans" : 199
        },
        "$count" : 10000,
        "$type" : "category",
        "$prob" : 1
    },
    "user.name.first" : {
        "$data" : {
            "Oliver" : 122,
            "Elizabeth" : 132,
            "Leah" : 130,
            "Evelyn" : 125,
            "Noah" : 132,
            "Joshua" : 127,
            "Nathan" : 141,
            "Andrew" : 137,
            "Isaac" : 129,
            "Amelie" : 126,
            "Lucy" : 133,
            "Sebastian" : 125,
            "Zoey" : 143,
            "Wyatt" : 144,
            "Carter" : 144,
            "David" : 142,
            "Logan" : 120,
            "Hannah" : 126,
            "Daniel" : 117,
            "Jacob" : 133,
            "Hunter" : 141,
            "Dylan" : 121,
            "Jackson" : 128,
            "Elijah" : 124,
            "Liam" : 117,
            "Grace" : 134,
            "Jayden" : 117,
            "Gabriel" : 126,
            "Jack" : 115,
            "Aria" : 131,
            "William" : 137,
            "Charlotte" : 135,
            "James" : 135,
            "Layla" : 127,
            "Scarlett" : 127,
            "Lily" : 150,
            "Chloe" : 120,
            "Connor" : 125,
            "Audrey" : 129,
            "Lucas" : 153,
            "Matthew" : 149,
            "Ethan" : 117,
            "Mia" : 135,
            "Henry" : 134,
            "Alexander" : 129,
            "Mason" : 124,
            "Brooklyn" : 128,
            "Victoria" : 140,
            "Samuel" : 130,
            "Harper" : 118,
            "Riley" : 129,
            "Ellie" : 133,
            "Sofia" : 127,
            "Avery" : 108,
            "Zoe" : 133,
            "Emily" : 119,
            "Aubrey" : 141,
            "Caleb" : 127,
            "Owen" : 124,
            "Madison" : 130,
            "Sophia" : 124,
            "Lillian" : 129,
            "Michael" : 127,
            "Ella" : 118,
            "Abigail" : 137,
            "Landon" : 151,
            "Addison" : 131,
            "Nora" : 141,
            "Ava" : 137,
            "Olivia" : 109,
            "Natalie" : 121,
            "Claire" : 114,
            "Emma" : 131,
            "Luke" : 151,
            "Aiden" : 140,
            "Ryan" : 121,
            "Isabella" : 123
        },
        "$count" : 10000,
        "$type" : "category",
        "$prob" : 1
    },
    "user.gender" : {
        "$data" : {
            "female" : 4998,
            "male" : 5002
        },
        "$count" : 10000,
        "$type" : "category",
        "$prob" : 1
    },
    "user.created_at" : {
        "$data" : {
            "min" : new Date(Date.parse("2009-12-31T19:40:29Z")),
            "max" : new Date(Date.parse("2014-07-23T16:07:15Z"))
        },
        "$count" : 10000,
        "$type" : "date",
        "$prob" : 1
    },
    "user.is_active" : {
        "$count" : 10000,
        "$type" : "boolean",
        "$prob" : 1
    },
    "user.phone_no" : {
        "$count" : 7015,
        "$type" : {
            "object" : 6121,
            "number" : 894
        },
        "$prob" : 0.7015
    },
    "user.phone_no.floatApprox" : {
        "$data" : {
            "min" : 2151786390,
            "max" : 9998296217
        },
        "$count" : 6121,
        "$type" : "number",
        "$prob" : 0.8725588025659301
    },
    "user.address" : {
        "$count" : 10000,
        "$prob" : 1
    },
    "user.address.city" : {
        "$data" : {
            "Manhattan" : 1932,
            "Bronx" : 2053,
            "Queens" : 1953,
            "Brooklyn" : 1988,
            "New Jersey" : 2074
        },
        "$count" : 10000,
        "$type" : "category",
        "$prob" : 1
    },
    "user.address.house_no" : {
        "$data" : {
            "min" : 0,
            "max" : 100
        },
        "$count" : 10000,
        "$type" : "number",
        "$prob" : 1
    },
    "user.address.street" : {
        "$count" : 10000,
        "$type" : "text",
        "$prob" : 1
    },
    "user.address.zip_code" : {
        "$data" : {
            "min" : 10007,
            "max" : 99992
        },
        "$count" : 10000,
        "$type" : "number",
        "$prob" : 1
    },
    "user.age" : {
        "$data" : {
            "min" : 0,
            "max" : 100
        },
        "$count" : 10000,
        "$type" : "number",
        "$prob" : 1
    },
    "tags" : {
        "$array" : true,
        "$count" : 49567,
        "$prob" : 4.9567
    },
    "tags.id" : {
        "$data" : {

        },
        "$count" : 49567,
        "$type" : "objectid",
        "$prob" : 1
    },
    "tags.label" : {
        "$count" : 49567,
        "$type" : "text",
        "$prob" : 1
    },
    "tags.subtags" : {
        "$data" : {

        },
        "$count" : 34749,
        "$type" : "category",
        "$array" : true,
        "$prob" : 0.7010511025480662
    }
}


module.exports = schema;